package de.intevation.flys.artifacts.model;

import java.io.Serializable;

import gnu.trove.TDoubleArrayList;
import gnu.trove.TIntArrayList;


/**
 * This class represents a pool of data triples that consists of 'W', 'Q' and
 * 'Day' data.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class WQDay implements Serializable {

    protected TIntArrayList days;

    protected TDoubleArrayList ws;

    protected TDoubleArrayList qs;


    public WQDay() {
        days = new TIntArrayList();
        ws   = new TDoubleArrayList();
        qs   = new TDoubleArrayList();
    }


    public WQDay(int capacity) {
        days = new TIntArrayList(capacity);
        ws   = new TDoubleArrayList(capacity);
        qs   = new TDoubleArrayList(capacity);
    }


    public void add(int day, double w, double q) {
        days.add(day);
        ws.add(w);
        qs.add(q);
    }


    public int size() {
        return days.size();
    }


    public int getDay(int idx) {
        return days.get(idx);
    }


    public double getW(int idx) {
        return ws.get(idx);
    }


    public double getQ(int idx) {
        return qs.get(idx);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
